Bug 398111 - Review Request: xfce4-time-out-plugin - Xfce panel plugin for taking breaks from the computer
Review Request: xfce4-time-out-plugin - Xfce panel plugin for taking breaks f...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 19:14 EST by Christoph Wickert
Modified: 2014-09-23 08:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.1.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-16 15:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2007-11-24 19:14:30 EST
Spec URL: http://home.arcor.de/christoph.wickert/fedora/review/xfce4-time-out-plugin.spec
SRPM URL: http://home.arcor.de/christoph.wickert/fedora/review/xfce4-time-out-plugin-0.1.1-1.fc9.src.rpm
Description: This plugin makes it possible to take periodical breaks from the computer every X minutes. During breaks it locks your screen. It optionally allows you to postpone breaks for a certain time.
Comment 2 Kevin Fenzi 2008-03-05 21:11:44 EST
I would be happy to review this... look for a full review in a bit. 
Comment 3 Kevin Fenzi 2008-03-05 21:22:21 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
d2f5b157cf47c754d8dd007c73a4d1e6  xfce4-time-out-plugin-0.1.1.tar.bz2
d2f5b157cf47c754d8dd007c73a4d1e6  xfce4-time-out-plugin-0.1.1.tar.bz2.spec
See below - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. I see:
checking for IceConnectionNumber in -lICE...
no

In the build log. Should this BuildRequire: libICE-devel ?
Or is this a cosmetic test thats not really needed here?

That's the only (very minor) issue I find here...
If you could check on that requirement before checking in that
would be great. This package is APPROVED.
Comment 4 Christoph Wickert 2008-03-06 18:35:55 EST
Thanks for the review.

(In reply to comment #3)
> In the build log. Should this BuildRequire: libICE-devel ?
> Or is this a cosmetic test thats not really needed here?

I guess that's a relict from the panel plugin example code but I will check that
before build.

New Package CVS Request
=======================
Package Name: xfce4-time-out-plugin
Short Description: Xfce panel plugin for taking breaks from the computer
Owners: cwickert
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-03-06 19:20:11 EST
cvs done. 
Comment 6 Fedora Update System 2008-03-06 21:02:17 EST
xfce4-time-out-plugin-0.1.1-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-03-06 21:03:11 EST
xfce4-time-out-plugin-0.1.1-1.fc7 has been submitted as an update for Fedora 7
Comment 8 Fedora Update System 2008-03-16 15:29:21 EDT
xfce4-time-out-plugin-0.1.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-03-16 15:30:10 EDT
xfce4-time-out-plugin-0.1.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Mukundan Ragavan 2014-09-22 21:02:15 EDT
Package Change Request
======================
Package Name:  xfce4-time-out-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc
Comment 11 Jon Ciesla 2014-09-23 08:09:37 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.